Jump to content

Why not upgrade patches ?


Recommended Posts

As i see, the only option for upgrade to the newest version everytime is to.. upload the whole site, after doing local file copies etc.
In other web apps like joomla, upgrading is much much easier by using upgrade patch zip files.

ie, i need to upgrade from 1.4.0.17 to the next version, 1.4.1

you should provide a patch containing only the changed files different from the previous version !!! so, this could be made, even automatic from the back office, like wordpress installations.

that is why, i see so many people using older versions of the script even today. because upgrading is so complex !!

you should really see this matter and i recognize that in case of older themes, smarty2 etc, every user has to be warned that this is not applicable for patch file upgrade. ie, from 1.2.1 to 1.4.1

on the other hand, when you will release version 1.4.1.1 you should publish a patch file with the files changed from the curent version.

Share this post


Link to post
Share on other sites

well I can't understand it either, I too use joomla. Why prestashop does not use patch method is beyond me.

I would also like to comment on translation too, why not use single file, why multiple? It's crazy. By the way I can't understand added removed code line in translation that translate the same thing only code part differs. IT's nonsense to translate this way.

I'm looking forward to changing to other e-commerce solution because of this.

Share this post


Link to post
Share on other sites

same here, i need to upgrade to 1.4.1 to fix some of the bugs still floating around in 1.4.0.17, but i dont fancy going through the whole process of updating the whole site to 1.4.1 to find even more bugs than what i already have to fix. it would be a lot easier if they just released a patched release. once i get the 1.4.0.17 stable i am not upgrading anymore until they sort out all the problems they have with older versions, they concentrate to much on releasing a newer versions when 1.4.0.17 is still bug ridden

Share this post


Link to post
Share on other sites

  • 4 weeks later...

The upgrade experience with Prestashop is a nightmare. Unless you are a professional or competent PHP Developer the rest of us are stuck with a very time consuming and complicated process to simply update the shop. I am a store owner, not a PHP developer. I want to simply click a button and have the software automatically update itself, exactly the same as you do with Wordpress. The upgrade process is so complicated that I am seriously thinking of going back to my old cart software. It did not have as many features but at least it was bug free and the upgrade process was painless.

Share this post


Link to post
Share on other sites

My store using 1.3.2.3 and i want to upgrade to 1.4.1, but im really scared about all content of site, modules and themes i think for other e-cart software maybe...that upgrading system is nightmare! And i dont wanna pay for addons, when i can't upgrade shop :(

Share this post


Link to post
Share on other sites

  • 3 months later...

I think you have to take a little step back and look at this logically.

 

Wordpress and Joomla both have extremely simple databases behind them, especially when compared to ecommerce stores. Just because it "seems" easy to do doesn't mean it actually is.

 

Upgrades should be planned and tested, and if this is done properly, should be fairly painless.

 

Paul

Share this post


Link to post
Share on other sites

Well if your native language is not english than it doesn't matter how well planned the update is you have to translate the same shop over and over again, what is more stupid you have to adapt the translation to your shop as always there are two ways to translate the same word in any language.

 

Since language files are in separate files there is no easy comparing tool to help you. I have to manualy load each file (old an new translation) to Kdiff3 and compare them edit them etc. That is nonsense.

 

I do not update my shop as I do not process credit cards I don't need new features or top of the line security if it means I must translate again and again and again just to continue running myshop.

 

If you read my post above that states "By the way I can't understand added removed code line in translation that translate the same thing only code part differs. IT's nonsense to translate this way."

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More